Loading...
Searching...
No Matches
CxxTest::ValueTraits< T > Class Template Reference

`#include <ValueTraits.h>`

## Public Member Functions

| ValueTraits (const T &t)
const char * | asString (void) const

## Private Types

enum | { MAX_BYTES = 8 }

## Private Attributes

char | _asString [sizeof("{ ")+sizeof("XX ") *MAX_BYTES+sizeof("... }")]

## Detailed Description

template<class T>
class CxxTest::ValueTraits< T >

Definition at line 74 of file ValueTraits.h.

## Member Enumeration Documentation

## anonymous enum

template<class T>

anonymous enum

private

Enumerator
MAX_BYTES |

Definition at line 76 of file ValueTraits.h.

{ MAX_BYTES = 8 };
CxxTest::ValueTraits::MAX_BYTES
@ MAX_BYTES
Definition ValueTraits.h:76

## Constructor & Destructor Documentation

## ValueTraits()

template<class T>

CxxTest::ValueTraits< T >::ValueTraits | ( | const T & | t | ) |

inline

Definition at line 80 of file ValueTraits.h.

{ bytesToString( (const unsigned char *)&t, sizeof(T), MAX_BYTES, _asString ); }
CxxTest::ValueTraits
Definition ValueTraits.h:75
CxxTest::ValueTraits::_asString
char _asString[sizeof("{ ")+sizeof("XX ") *MAX_BYTES+sizeof("... }")]
Definition ValueTraits.h:77
CxxTest::bytesToString
char * bytesToString(const unsigned char *bytes, unsigned numBytes, unsigned maxBytes, char *s)
Definition ValueTraits.cpp:82

## Member Function Documentation

## asString()

template<class T>

const char * CxxTest::ValueTraits< T >::asString | ( | void |  | ) | const

inline

Definition at line 81 of file ValueTraits.h.

{ return _asString; }

## Field Documentation

## _asString

template<class T>

char CxxTest::ValueTraits< T >::_asString[sizeof("{ ")+sizeof("XX ") *MAX_BYTES+sizeof("... }")]

private

Definition at line 77 of file ValueTraits.h.

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/ValueTraits.h